// File PTR2PXL.C (used to build LIBBMP.A)
// Written by:
// Daniel W. Lewis (dlewis@scu.edu)
// Computer Engineering Department
// Santa Clara University
// Revised Jan 15, 2015

#include "libbmp.h"

RGB *_GetPixel(IMAGE *image, unsigned row, unsigned col)
	{
	unsigned rows = GetRows(image) ;
	unsigned cols = GetCols(image) ;

	if (row >= rows) _Error("Row index (%u) exceeds limit (%u)", row, rows - 1) ;
	if (col >= cols) _Error("Col index (%u) exceeds limit (%u)", col, cols - 1) ;

	return image->pxlrow[row] + col ;
	}

